<template>
	<div>


		<div v-if="isShow">
			<div class="header-top-text">
				{{pageMsg.Serverpart_Name}}今日未检点位
				<span class="red-text">{{pageMsg.count}}</span>
				个
			</div>
			<div class="msg-unit" v-for="item in pageList" :key="item.id">
				<div class="area-title">{{item.ServerpartShop_Name}}</div>

				<div class="check-text">{{item.CheckedCount}}/{{item.CheckCount}}</div>
			</div>
		</div>
		<block v-else>
			<noFound :nodata="pageList.length>0 ? false : true"/>
		</block>
	</div>
</template>

<script>
	import {mapGetters} from 'vuex'
	export default {
		data() {
			return {
				pageMsg: {
					Serverpart_Name: '',
					count:0
				},
				isShow: false,
				foundType:1,
				pageList:[]
			}
		},
		computed:{
			...mapGetters({
				'user': 'getUser'
			})
		},
		methods:{
			getList(obj) {
				let _this = this
				_this.$request.$get('GetMbwaUnChecklist',{

					SERVERPART_ID: obj.id,
					STATISTICSDATE: _this.$util.cutDate(new Date(),'YYYY/MM/DD')

				}).then(rs => {
					if(!rs.ResultCode ||rs.ResultCode!='100'){
						_this.isShow = false

					}else{
						_this.isShow = true
					}
					uni.hideLoading()

					let arr = []
					_this.pageMsg.Serverpart_Name = rs.Data.Serverpart_Name
					_this.pageMsg.count = rs.Data.List.length
					_this.pageList = rs.Data.List

				})
			}
		},
		onUnload() {
			this.$util.addUserBehavior()
		},
		onLoad(option){
			uni.showLoading({
				title:'正在加载'
			})
			this.getList(option)
		}
	}

</script>

<style>
	.header-top-text {
		padding: 24upx 32upx;
		background-color: #fff;
		margin-bottom: 32upx;
	}
	.red-text {
		color: #D13B3B;
	}
	.msg-unit {
		display: flex;
		background-color: #fff;
		justify-content: space-between;
		padding: 24upx 32upx;
		border-bottom: 1upx solid #eee;
	}
	.area-title {

		display: flex;
		align-items: center;
		font-size: 26upx;
		color: #72777C;
	}
	.area-title:before {
		content: '';
		background: url('https://eshangtech.com/ShopICO/ahyd-BID/mbwa/dw.png') no-repeat center;
		background-size: contain;
		height: 28upx;
		width: 26upx;
		margin-right: 8upx;
	}
	.check-text {
		color: #929292;
	}
</style>
